/*.water-brush-regular {
  font-family: "Water Brush", cursive;
  font-weight: 400;
  font-style: normal;
}

.just-another-hand-regular {
  font-family: "Just Another Hand", cursive;
  font-weight: 400;
  font-style: normal;
}

.carattere-regular {
  font-family: "Carattere", cursive;
  font-weight: 400;
  font-style: normal;
}*/

.marck-script-regular {
  font-family: "Marck Script", cursive;
  font-weight: 400;
  font-style: normal;
}

html {
  font-family: "Marck Script", cursive;
  font-weight: 100;
  font-style: normal;
  color: #1a252e;
  background: #FFE url("./img/white-paper-texture.jpg") top center repeat;
  /*background-size: contain;*/
  text-align: center;
  font-size: calc(9px + 1.2vw);
}

body {
  margin: 0;
}

#sheet {
  position: absolute;
  z-index: 0;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  display: none;
}

h1 {
  /*font-family: "Marck Script", cursive;*/
  font-weight: 400;
  /*font-style: normal;*/
  margin: .5em 0 0 8.5rem;
  color: rgba(0,0,0,0);
  /*background: url("./img/signature2.png") top center no-repeat;
  background-size: contain;*/
  font-size: 2.15em;
  text-overflow: clip;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
}

h1 img {
  display: inline-block;
  height: 2.4rem;
  width: auto;
  margin-bottom: -2.4rem;
}

h2 {
  font-size: 1.3rem;
}

#content {
  display: inline-block;
  background: #FFE url("./img/white-paper-texture.jpg") top center repeat;
  box-shadow: 
    .15rem .25rem 1rem rgba(26, 37, 46, .5),
    0 0 10rem 20rem rgba(26, 37, 46, .4);
  position: relative;
  max-width: 100%;
  /*overflow-x: hidden;*/
}

@keyframes fleur {
  /*0%   { margin-top: 1rem; }
  50%  { margin-top: -3rem; }
  100% { margin-top: 1rem; z-index: 1000; }*/
  0%   { transform: rotate(-25deg); }
  100% { transform: rotate(0); }
}

#bara {
  position: absolute;
  top: 1rem;
  left: -3rem;
  width: 14.48rem;
  height: 25.84rem;
  z-index: 0;
  animation-name: fleur;
  animation-duration: 3s;
  animation-fill-mode: forwards;
}

#bara img {
  max-width: 100%;
  max-height: 100%;
}

#resume-technical {
  text-align: center;
  position: relative;
}

#resume-technical h2 {
  text-align: left;
  margin-bottom: .5em;
}

.icon {
  display: inline-block;
  width: 2.5em;
  height: 2.5em;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  opacity: .85;
  /*position: relative;*/
}

.icon img {
  display: none;
  max-width: 100%;
  max-height: 100%;
}

.icon strong {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  background: #fff;
  padding: .2em .5em;
  box-shadow: 
    inset 2rem 2rem 4rem  rgba(255, 255, 255, .5),
    .1rem .15rem .2rem rgba(26, 37, 46, .2);
  opacity: 0;
  transition: .3s;
  color: #1a252e;
  font-size: 1.2rem;
}

.icon:hover strong, 
.icon:active strong {
  display: inline-block;
  opacity: 1;
  z-index: 1000;
}

#after-effect { background-image: url("img/icons/after-effects.svg") }
#aws { background-image: url("img/icons/aws.svg") }
#css3 { background-image: url("img/icons/css3.svg") }
#docker { background-image: url("img/icons/docker.svg") }
#git { background-image: url("img/icons/git.svg") }
#google-analytics { background-image: url("img/icons/google-analytics.svg") }
#html5 { background-image: url("img/icons/html5.svg") }
#illustrator { background-image: url("img/icons/illustrator.svg") }
#js { background-image: url("img/icons/js.svg") }
#krita { background-image: url("img/icons/krita.svg") }
#less { background-image: url("img/icons/less.svg") }
#nodejs { background-image: url("img/icons/nodejs.svg") }
#photoshop { background-image: url("img/icons/photoshop.svg") }
#php { background-image: url("img/icons/php.svg") }
#react { background-image: url("img/icons/react2.svg") }
#redux { background-image: url("img/icons/redux.svg") }
#sass { background-image: url("img/icons/sass.svg") }
#wordpress { background-image: url("img/icons/wordpress.svg") }
#sql { background-image: url("img/icons/sql.svg") }

#linkedin .icon { background-image: url("img/icons/linkedin.svg") }

#email .icon { 
  background-image: url("img/icons/gmail.svg");
}
/*
#resume-contact {
  float: right;
  position: relative;
  vertical-align: baseline;
}*/

#resume-contact h2 { display: inline-block; }
#resume-contact h3 { display: none; }
#resume-contact > div {
  display: inline-block;
  vertical-align: middle;
  margin: 0 0 0 1.4em;
} 

#content > section,
.galerie {
  /*border: solid 1px #1a252e;*/
  /*border-radius: 2em;*/
  padding: 1rem;
  margin: 1rem;
  display: block;
  position: relative;
  text-align: left;
  background: rgba(255, 255, 255, .2);
  box-shadow: 
  inset 2rem 2rem 4rem  rgba(255, 255, 255, .5),
  .1rem .15rem .2rem rgba(26, 37, 46, .2);
}

#content > section#about-me {
  margin-left: 8.5rem;
  text-align: justify;
  padding: 1rem 3.5rem;
}

#resume {
  padding-top: 1rem;
}

#resume section {
  /*background: rgba(26, 37, 46, .2);*/
  background: rgba(255, 255, 255, .2);
  /*border: solid 1px #1a252e;*/
  margin: 0 0 1rem 1rem;
  padding: 1rem;
  /*border-radius: 1em;*/
  /*width: calc((100% - 3rem) / 2);*/
  width: 100%;
  box-sizing: border-box;
  display: inline-block;
  vertical-align: top;
  box-shadow: 
    inset 2rem 2rem 5rem  rgba(255, 255, 255, .5),
    .1rem .15rem .2rem rgba(26, 37, 46, .2);
  font-size: 1rem;
}

.section-margin {
  margin: 0 -1rem -1rem -1rem;
  display: block;
  position: relative;
  font-size: 0;
}

h2 {
  margin: 0;
}

#resume-languages {
  font-size: .8rem;
}

#resume-languages h3 {
  display: inline-block;
  width: 5rem;
  margin: 0;
}

#resume-languages ul {
  margin: 0;
}

#resume-languages li {
  margin: 0;
}

#resume-interests {
  position: relative;
}

#resume-interests h2 {
  display: inline-block;
  position: absolute;
  top: 1rem;
  left: 1rem;
  padding: .3rem .6rem;
  box-shadow: .1rem .15rem .2rem rgba(26, 37, 46, .5);
  background: url("./img/white-paper-texture.jpg") center top repeat;
}
/*
#resume-interests h2::before {
  content: "";
  background: url("./img/white-paper-texture.jpg") center top repeat;
  background: #f00;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  opacity: 1;
  z-index: -1;
  display: block;
}*/

#resume-interests ul {
  display: flex;
  padding: 4em 1.5em 1.5em 1.5em;
  margin: -1rem;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-content: space-around;
  align-items: start;
  background: url("./img/board3.jpg") center top repeat;
  background-size: cover;
  box-shadow: 
  inset .05em .05em .05em .05em rgba(255, 255, 255, .3), 
  inset -.05em -.05em .05em rgba(0, 0, 0, .2), 
  inset 0 0 .5em 0 rgba(255, 255, 255, .6), 
    inset 0 0 0 .5em rgba(152, 154, 159, 1),
    inset -.5em -.5em 4em .35em rgba(0, 0, 0, .4),
    .05em .05em .25em rgba(26, 37, 46, .9) 
    ;
}

#board {
  display: none;
}

#resume-interests li {
  display: inline-block;
  background: rgba(255, 255, 255, .2);
  box-shadow: .1rem .15rem .2rem rgba(26, 37, 46, .5);
  padding: .3em .6em 0.8em;
  transition: all 300ms;
  position: relative;
  /*margin: .5em;*/
}

#resume-interests li::before {
  content: "";
  background: url("./img/white-paper-texture.jpg") center top repeat;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: .7;
  z-index: -1;
}

#resume-interests li:nth-child(5n) { background-color: rgb(255, 127, 255); }
#resume-interests li:nth-child(5n+1) { background-color: rgb(127, 255, 255); }
#resume-interests li:nth-child(5n+2) { background-color: rgb(127, 255, 127); }
#resume-interests li:nth-child(5n+3) { background-color: rgb(255, 255, 127); }
#resume-interests li:nth-child(5n+4) { background-color: rgb(255, 192, 127); }
#resume-interests li:nth-child(7n) { transform: rotate(2deg); }
#resume-interests li:nth-child(7n+1) { transform: rotate(-2.2deg); }
#resume-interests li:nth-child(7n+2) { transform: rotate(1.7deg); }
#resume-interests li:nth-child(7n+3) { transform: rotate(-2.7deg); }
#resume-interests li:nth-child(7n+4) { transform: rotate(.8deg); }
#resume-interests li:nth-child(7n+5) { transform: rotate(-2.3deg); }
#resume-interests li:nth-child(7n+6) { transform: rotate(-1.2deg); }
#resume-interests li:hover {
  transform: rotate(0) scale(1.3);
  z-index: 10000;
}

.left-col,
.right-col {
  display: inline-block;
  position: relative;
  width: calc((100% - 2rem));
  vertical-align: top;
}

h3 div {
  float: right;
}

#resume-experience > ul {
  padding: 0 1rem;
  list-style-type: none;
}

#resume-education > ul {
  padding: 0 0 0 1rem;
  list-style-type: none;
}

#resume-education h3 {
  position: relative;
  font-size: 1rem;
  margin: 1rem 0 0;
}

#resume-education h4 {
  font-size: .8rem;
  padding: 0 0 0 1em;
  margin: .2rem 0 0;
  font-weight: 100;
}

@media (min-width: 800px) {
  #content {
    width: 90vw;
    overflow: visible;
  }

  .left-col,
  .right-col {
    display: inline-block;
    width: calc((100% - 3rem)/2);
  }

  .right-col {
    margin-left: 1rem;
  }
}

/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {
  html {
    font-size: calc(9px + 1.1vw);
  }

  #content{
    width: calc(100vw - 2rem);
    max-width: 50rem; /* Example max width */
  }
}


@media (min-width: 1700px) {
  html {
    font-size: calc(9px + .8vw);
  }
}

#content #dossiers {
  padding: 0;
  background: none;
  box-shadow: none;
  width: 100%;
  margin: 0;
  height: 0;
}

@keyframes pullout {
  /*0%   { margin-top: 1rem; }
  50%  { margin-top: -3rem; }
  100% { margin-top: 1rem; z-index: 1000; }*/
  0%   { margin-top: 1rem; }
  100% { margin-top: -3rem; z-index: 1000; }
}

@keyframes putback {
  0%   { margin-top: 1rem; z-index: 1000; }
  50%  { margin-top: -3rem; }
  100% { margin-top: 1rem; }
}

#content .galerie {
  text-align: center;
  vertical-align: middle;
  display: flex;
  flex-wrap: no-wrap;
  justify-content: space-evenly;
  margin-bottom: 1rem;  
  flex-direction: row;
  background: #FEA;
  transition: .3s;
  box-shadow: 0 1rem 1rem 0 rgba(0, 0, 0, .5), .1rem .15rem .2rem rgba(26, 37, 46, .2);
  border-radius: 1em 1em 0 0;
  background-image: linear-gradient(180deg, #FEA, #DC8);
  width: calc(100% - 3.2rem);
  position: absolute;
  box-sizing: border-box;
  margin-bottom: 2rem;
  /*animation-name: putback;
  animation-duration: .3s;
  animation-fill-mode: forwards;*/
}

#content .galerie:nth-child(1) { left: 0; top: 1rem; }
#content .galerie:nth-child(2) { left: .2rem; top: 5rem; }
#content .galerie:nth-child(3) { left: .4rem; top: 9rem; }
#content .galerie:nth-child(4) { left: .6rem; top: 13rem; }
#content .galerie:nth-child(5) { left: .8rem; top: 17rem; }
#content .galerie:nth-child(6) { left: 1rem; top: 21rem; }
#content .galerie:nth-child(7) { left: 1.2rem; top: 25rem; }

#content .galerie h2 {
  text-align: left;
  background: #FEA;
  padding: .25em 1em 0;
  position: absolute;
  bottom: 100%;
  border-radius: 1em 1em 0 0;
  /*box-shadow: inset 2rem 2rem 4rem rgba(255, 255, 255, .5), 0 1rem 1rem 0 rgba(255, 255, 255, .5), 0 1rem .5rem 0 #FEA, .1rem .15rem .2rem rgba(26, 37, 46, .2);*/
  box-shadow: 0 1rem .5rem 0 #FEA, .1rem .15rem .2rem rgba(26, 37, 46, .2);
  left: 1rem;
  z-index: 0;
  font-family: "Courier New", Courier, monospace;
  font-size: 1em;
}

#content .galerie::after {
  content: "";
  background: #FEA;
  background-image: linear-gradient(180deg, #FEA, #DC8);
  border-radius: 1em 1em 0 0;
  position: absolute;
  top: 3rem;
  left: 0;
  right: 0;
  bottom: 0;
  box-shadow: .1rem .15rem .2rem rgba(26, 37, 46, .2);
  transition: 1s;
  transform-origin: center bottom;
}

#content .galerie::before {
  content: "";
  background: #FEA;
  position: absolute;
  top: 0;
  left: 1rem;
  right: 1rem;
  height: .5rem;
  z-index: 3;
}


#content .galerie:hover,
#content .galerie:active {
  animation-name: pullout;
  animation-duration: .5s;
  animation-fill-mode: forwards;
}

#content .galerie:hover:last-child,
#content .galerie:active:last-child {
  animation-name: none;
}

#content .galerie:hover::after,
#content .galerie:active::after {
  top: 85%;
  transform: skewX(-50deg);
}
/*
@media (min-width: 992px) {
  #content .galerie {
    background: #FFE url("./img/white-paper-texture.jpg") top center repeat;
    max-width: calc(100vw - 2rem);
    margin: 0 calc((100vw - 2rem - 50rem) / -2) 1rem;
  }
}*/

.galerie a {
  display: inline-block;
  margin: .5rem -.5rem;
  padding: .5rem;
  /*border: .5rem solid rgba(255,255,255,.5);*/
  box-shadow: .05rem .075rem .1rem rgba(26, 37, 46, .1);
  box-shadow: .1rem .15rem .2rem rgba(26, 37, 46, .5);
  box-shadow: .05rem .075rem .2rem rgba(26, 37, 46, .25);
  vertical-align: middle;
  height: calc(6rem + 1rem);
  width: calc(6rem + 1rem);
  height: 5rem;
  width: 5rem;
  background-color: rgba(245,245,245,1);
  position: relative;
  box-sizing: border-box;
  display: flex;
  justify-content: space-around; /* Centers horizontally */
  align-items: center; 
  transition: .3s;
  transform: rotate(2deg);
  overflow: hidden;
}

.galerie a:hover,
.galerie a:active {
  transform: rotate(0deg) scale(1.5);
  /*margin: .5rem 1rem .5rem 0;*/
  z-index: 1000;
}

.galerie a::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: linear-gradient(175deg, rgba(255,255,255,.2), rgba(255,255,255,1), rgba(255,255,255, .7), rgba(255,255,255,.33), rgba(255,255,255,0), rgba(255,255,255,0), rgba(255,255,255,0));
  opacity: .4;
  transition: .3s;
}

.galerie a:hover::after,
.galerie a:active::after {
  opacity: .1;
  transform: rotate(-2deg) scale(1.1);
}

.galerie a img {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  max-height: 100%;
  /*max-width: 200px;
  max-height: 200px;*/
}

@media print {
  #content::before {
    display: none;
  }

  html, body {
    height: auto !important;
    margin: 0 !important;
    padding: 0 !important;
    background: #fff;
  }

  * {
    page-break-before: auto !important;
    page-break-after: auto !important;
    page-break-inside: auto !important;
    break-before: auto !important; /* Modern syntax */
    break-after: auto !important; /* Modern syntax */
    break-inside: auto !important; /* Modern syntax */
    /* Sometimes necessary to prevent rendering oddities */
    line-height: 1 !important;
  }

  #content {
    box-shadow: none;
  }

  .icon {
    width: fit-content;
    height: fit-content; 
    display: inline-block;
    white-space: nowrap;
    box-shadow: none;
    background: none !important;
    padding: .2rem .5rem;
    margin: .15rem;
    position: relative;
    background: none;
    box-shadow: none;
    padding: 0;
  }
  
  .icon img {
    display: inline-block;
    width: 1rem;
    height: auto;
    vertical-align: baseline;
    margin: 0 .5rem 0 0;
    position: relative;
    bottom: -.2em;
  }
  
  .icon strong {
    display: inline-block;
    position: relative;
    top: auto;
    right: auto;
    opacity: 1;
    background: none;
    box-shadow: none;
    padding: 0;
    font-size: .9em;
  }

  #resume-contact .icon {
    margin: .25rem 0;
    white-space: wrap;
  }

  #resume-contact .icon strong {
    font-size: .9em;
  }

  #resume-contact > div {
    display: block;
    margin: 0;
  }

  .hide-on-print {
    display: none !important;
  }

  #resume-interests * {
    z-index: 1;
  }

  #resume-interests #board {
    display: block;
    position: absolute;
    z-index: 0;
    top: .5rem;
    left: .5rem;
    right: .5rem;
    bottom: .5rem;
    width: calc(100% - 1rem);
    height: calc(100% - 1rem);
  }
  
  #sheet {
    display: block;
  }

  #content > section,
  #resume section {
    background: none;
    box-shadow: 
      inset 2rem 2rem 4rem  rgba(255, 255, 255, .5),
      inset 0 0 0 1000rem rgba(255, 255, 255, .2),
      .1rem .15rem .2rem rgba(26, 37, 46, .2);
  }
}

